Bug 193689 - binutils-2.17.50.0.1-1 breaks kdelibs-3.5.3 build
binutils-2.17.50.0.1-1 breaks kdelibs-3.5.3 build
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-31 12:57 EDT by Ngo Than
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 09:14:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 2721 None None None Never

  None (edit)
Description Ngo Than 2006-05-31 12:57:58 EDT
Description of problem:
the binutils breaks kdelibs-3.5.3 build in rawhide


Version-Release number of selected component (if applicable):
binutils-2.17.50.0.1-1

How reproducible:
rebuild kdelibs-3.5.3

Steps to Reproduce:
1. rpmbuild --rebuild kdelibs-3.5.3-1.src.rpm
2.
3.
  
Actual results:
g++ -DNDEBUG -DNO_DEBUG -O2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 
-fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic 
-I/usr/kerberos/include -fno-exceptions -fno-check-new -fno-common 
-DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT 
-DQT_NO_TRANSLATION -o .libs/ksendbugmail -Wl,--as-needed 
-Wl,--enable-new-dtags ksendbugmail.all_cpp.o  -L/usr/kerberos/lib64 
-L/usr/lib64/qt-3.3/lib 
-L/usr/lib64 ../../.libs/libkio.so /usr/src/redhat/BUILD/kdelibs-3.5.3/kdeui/.libs/libkdeui.so /usr/src/redhat/BUILD/kdelibs-3.5.3/kdesu/.libs/libkdesu.so /usr/src/redhat/BUILD/kdelibs-3.5.3/kwallet/client/.libs/libkwalletclient.so /usr/src/redhat/BUILD/kdelibs-3.5.3/kdecore/.libs/libkdecore.so /usr/src/redhat/BUILD/kdelibs-3.5.3/dcop/.libs/libDCOP.so 
-ldl -lresolv -lutil 
-lart_lgpl_2 /usr/lib64/libidn.so /usr/src/redhat/BUILD/kdelibs-3.5.3/kdefx/.libs/libkdefx.so 
-lqt-mt -lpng -lXext -lX11 -lSM -lICE -lpthread -lXrender -lz -lfam -lacl 
-lattr -lkdeui
../../.libs/libkio.so: undefined reference to `KProgressDialog::show()'


Expected results:
it does not break kdelibs build

Additional info:
it works fine with previous version of binutils-2.16.91.0.6-6
Comment 1 Jakub Jelinek 2006-06-05 15:47:48 EDT
Should be fixed in binutils-2.17.50.0.2-2.

Note You need to log in before you can comment on or make changes to this bug.